<?php

namespace App\ViewModels\Formulario\PerguntaDetailsViewModel;

use App\Utils\Entity;

class PerguntaDetailsViewModel extends Entity {
	protected $id_pergunta;
	protected $obrigatorio;
	protected $id_tipo_pergunta;
	protected $ordem;
	protected $ativo;

	public static function builder(): PerguntaDetailsViewModelBuilder {

		return new PerguntaDetailsViewModelBuilder();

	}

	/**
	 *
	 * @return int
	 */
	public function getIdPergunta(): int {

		return $this->id_pergunta;

	}

	/**
	 *
	 * @return bool
	 */
	public function isObrigatorio(): bool {

		return $this->obrigatorio;

	}

	/**
	 *
	 * @return int
	 */
	public function getIdTipoPergunta(): int {

		return $this->id_tipo_pergunta;

	}

	/**
	 *
	 * @return int
	 */
	public function getOrdem(): int {

		return $this->ordem;

	}

	/**
	 *
	 * @return int
	 */
	public function getAtivo(): int {
		
		return $this->ativo;
		
	}
	
	/**
	 *
	 * @param int $id_pergunta
	 */
	public function setIdPergunta(int $id_pergunta): void {

		$this->id_pergunta = $id_pergunta;

	}

	/**
	 *
	 * @param bool $obrigatorio
	 */
	public function setObrigatorio(bool $obrigatorio): void {

		$this->obrigatorio = $obrigatorio;

	}

	/**
	 *
	 * @param int $id_tipo_pergunta
	 */
	public function setIdTipoPergunta(int $id_tipo_pergunta): void {

		$this->id_tipo_pergunta = $id_tipo_pergunta;

	}

	/**
	 *
	 * @param int $ordem
	 */
	public function setOrdem(int $ordem): void {

		$this->ordem = $ordem;

	}

	/**
	 *
	 * @param int $ordem
	 */
	public function setAtivo(int $ativo): void {
		
		$this->ativo = $ativo;
		
	}
	
}